---
title: "Publish an article draft"
url: https://docs.gleap.ai/en/reference/rest-api/publish-helpcenter-article-draft
method: POST
path: "/helpcenter/collections/{helpcenterCollectionId}/articles/{helpcenterArticleId}/draft/publish"
api: "API Reference"
tag: "Help center articles"
operationId: "PublishHelpcenterArticleDraft"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Publish an article draft

`POST https://api.gleap.io/v3/helpcenter/collections/{helpcenterCollectionId}/articles/{helpcenterArticleId}/draft/publish`

Publish a staged draft to the live article (promote). Pass force=true to override the warning when the live article changed since the draft started.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `helpcenterArticleId` (string, required)

## Query parameters

- `force` (boolean)

## Example request

```bash
curl --request POST \
  --url 'https://api.gleap.io/v3/helpcenter/collections/{helpcenterCollectionId}/articles/{helpcenterArticleId}/draft/publish' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 (`application/json`)

Ok
